From 565dbf03b57ff4230d125196a72bfdeab20ece15 Mon Sep 17 00:00:00 2001
From: Olof-Joachim Frahm <olof@macrolet.net>
Date: Thu, 20 Mar 2014 20:58:33 +0100
Subject: [PATCH 2/3] Indentation.

---
 abcl/src/org/armedbear/lisp/abcl-contrib.lisp |   45 ++++++++++++-------------
 1 file changed, 22 insertions(+), 23 deletions(-)

diff --git a/abcl/src/org/armedbear/lisp/abcl-contrib.lisp b/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
index 7c73943..fb7e8e9 100644
--- a/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
+++ b/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
@@ -48,10 +48,10 @@ (defun find-system ()
 
 (defun find-system-jar ()
   "Return the pathname of the system jar, one of `abcl.jar` or `abcl-m.n.p.jar` or `abcl-m.n.p[.~-]something.jar`."
-    (dolist (loader (java:dump-classpath))
-      (let ((abcl-jar (some #'system-jar-p loader)))
-        (when abcl-jar
-          (return abcl-jar)))))
+  (dolist (loader (java:dump-classpath))
+    (let ((abcl-jar (some #'system-jar-p loader)))
+      (when abcl-jar
+        (return abcl-jar)))))
 
 (defvar *abcl-contrib* nil
   "Pathname of the ABCL contrib.
@@ -63,41 +63,40 @@ (defun add-contrib (abcl-contrib-jar)
   "Introspects ABCL-CONTRIB-JAR for asdf systems to add to ASDF:*CENTRAL-REGISTRY*"
   (when abcl-contrib-jar
     (dolist (asdf-file
-              (directory (make-pathname :device (list abcl-contrib-jar)
-                                        :directory '(:absolute :wild)
-                                        :name :wild
-                                        :type "asd")))
+             (directory (make-pathname :device (list abcl-contrib-jar)
+                                       :directory '(:absolute :wild)
+                                       :name :wild
+                                       :type "asd")))
       (let ((asdf-directory (make-pathname :defaults asdf-file :name nil :type nil)))
         (unless (find asdf-directory asdf:*central-registry* :test #'equal)
           (push asdf-directory asdf:*central-registry*)
           (format *verbose* "~&Added ~A to ASDF.~&" asdf-directory))))))
 
-
 (defun find-and-add-contrib (&key (verbose nil))
   "Attempt to find the ABCL contrib jar and add its contents to ASDF.
 Returns the pathname of the contrib if it can be found."
   (if *abcl-contrib*
       (format verbose "~&Using already initialized value of abcl-contrib:~&'~A'.~%"
               *abcl-contrib*)
-      (progn
-        (setf *abcl-contrib* (find-contrib))
-        (format verbose "~&Using probed value of abcl-contrib:~&'~A'.~%"
-                *abcl-contrib*)))
+    (progn
+      (setf *abcl-contrib* (find-contrib))
+      (format verbose "~&Using probed value of abcl-contrib:~&'~A'.~%"
+              *abcl-contrib*)))
   (add-contrib *abcl-contrib*))
 
 (defun find-contrib ()
   "Introspect runtime classpaths to find a loadable ABCL-CONTRIB."
   (or (ignore-errors
-                (when (find-system-jar)
-                  (probe-file
-                   (make-pathname :defaults (find-system-jar)
-                                                  :name "abcl-contrib"))))
-          (some
-           (lambda (u)
-                 (probe-file (make-pathname
-                                          :defaults (java:jcall "toString" u)
-                                          :name "abcl-contrib")))
-           (java:jcall "getURLs" (boot-classloader)))))
+        (when (find-system-jar)
+          (probe-file
+           (make-pathname :defaults (find-system-jar)
+                          :name "abcl-contrib"))))
+      (some
+       (lambda (u)
+         (probe-file (make-pathname
+                      :defaults (java:jcall "toString" u)
+                      :name "abcl-contrib")))
+       (java:jcall "getURLs" (boot-classloader)))))
 
 (export `(find-system
           find-contrib
-- 
1.7.10.4

